Subject: bug#79395: 30.2; Search for a function inside a mini buffer

From: Eli Zaretskii <[email-masked]>
Date: Sat, 06 Sep 2025 20:05:51 +0300

[Please use Reply to All to reply, to keep the bug tracker CC'ed.]

> Date: Sat, 6 Sep 2025 18:20:35 +0200
> From: "Jakub T. Jankiewicz" <[email-masked]>
> 
> On Sat, 06 Sep 2025 19:07:51 +0300
> Eli Zaretskii <[email-masked]> wrote:
> 
> > I cannot reproduce this.  Please show a complete recipe starting from
> > "emacs -Q", and please tell in what version of Emacs are you seeing
> > this.
> 
> The Emacs version is in the subject. GNU Emacs 30.2 (I Fedora 42, and official
> package)
> 
> This is what I'm using:
> 
> * run emacs -Q
> * type C-h f C-s
> * search to find "message" function, if you type "m" you get an error about
>   failing search.

Of course, because the minibuffer is empty.  If you type something,
you can then search fro it with C-s.

So what is the bug here?

> > That was about M-x, not "C-h f"
> 
> The same with M-x C-s works fine, whatever command you're looking for you
> will find it. You can type "me"m the "Buffer-menu-1-window" will appear.

Sorry, I don't think I follow.  Once again, please describe exactly
what to type in that case.